Subject: [rtcweb] Generic IdP doc posted

From: Eric Rescorla <[email-masked]>
Date: Mon, 23 Jan 2012 17:37:36 -0800

Since Taipei, I have spent a bunch of time working through the
details of how to make generic IdP-based authentication work for
WebRTC calls. This was very handwavy in Taipei but I believe I now
have solutions that will work for all the major issues (which isn't to
say that there isn't much left to improve), but this is still at
the individual submission stage. The draft is at:

http://tools.ietf.org/html/draft-rescorla-rtcweb-generic-idp-00

Comments welcome.

I have a prototype implementation of most of the basic concepts
(though in JS rather than integrated with the browser), so I hope
to have something (though probably something clunky) to demo next
week.

Best,
-Ekr